#ifdef _WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include <GL/glu.h>

#include "tga.h"

int nbframe=0;
unsigned int textureID = 0;

void initgl() {
	glGenTextures(1, &textureID); // cre un ID
	loadTGA("logo_id.tga",textureID); // chage la texture
}

void render() {
	glPushMatrix();
  glTranslatef(0,0,-3);
	glRotatef(nbframe,0,1,0);
  glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
	glBindTexture(GL_TEXTURE_2D, textureID);
	glEnable(GL_TEXTURE_2D);

  glBegin(GL_QUADS);
    glColor3f(1.0f,1.0f,1.0f);
		glTexCoord2f(1,1);
    glVertex3f( 1.0f, 1.0f, 0.0f);
    glColor3f(1.0f,0.0f,0.0f);
		glTexCoord2f(0,1);
    glVertex3f(-1.0f, 1.0f, 0.0f);
    glColor3f(0.0f,1.0f,0.0f);
		glTexCoord2f(0,0);
    glVertex3f(-1.0f,-1.0f,0.0f);
    glColor3f(0.0f,0.0f,1.0f);
		glTexCoord2f(1,0);
    glVertex3f( 1.0f,-1.0f,0.0f);
  glEnd();
	glPopMatrix();
	++nbframe;
}
