#ifdef _WIN32
#include <windows.h>
#endif
#include <GL/glut.h>

void init();
void display();
void idle();

int main(int argc, char **argv) {\
  glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_RGBA|GLUT_DOUBLE);
  glutCreateWindow(argv[0]);
	init();
  glutDisplayFunc(display);
	glutIdleFunc(idle);
  glutMainLoop();
	return 0;
}

// theses functions are in the render_*.c file
extern void render();
extern void initgl();

void init() { // initialise la camra
  glMatrixMode   ( GL_PROJECTION );  // Select The Projection Matrix
  glLoadIdentity ( );                // Reset The Projection Matrix
  gluPerspective ( 60, 1, 1.0, 5000.0 );
  glMatrixMode   ( GL_MODELVIEW );  // Select The Model View Matrix
  glLoadIdentity ( );    // Reset The Model View Matrix
	initgl();
}

void display() { // calcule et affiche une image
  render();
  glutSwapBuffers();
}
void idle() { // reaffiche une fois termin
	glutPostRedisplay();
}
