#ifdef _WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include <GL/glu.h>

int nbframe=0;

void initgl() {
}

void renderAxeX() {
	glBegin(GL_QUADS); // base
		glVertex3f(0,-0.1f,-0.1f);
		glVertex3f(0, 0.1f,-0.1f);
		glVertex3f(0, 0.1f, 0.1f);
		glVertex3f(0,-0.1f, 0.1f);
	glEnd();
	glBegin(GL_TRIANGLE_FAN); // cots
		glVertex3f(1,0,0);
		glVertex3f(0,-0.1f,-0.1f);
		glVertex3f(0, 0.1f,-0.1f);
		glVertex3f(0, 0.1f, 0.1f);
		glVertex3f(0,-0.1f, 0.1f);
		glVertex3f(0,-0.1f,-0.1f);
	glEnd();
}

void render() {
	glEnable(GL_DEPTH_TEST);
	glPushMatrix();
	glTranslatef(0,-1,-3);
	glRotatef(nbframe,0,1,0);
  glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
	glColor3f(1,0,0);
	renderAxeX(); // axe X
	glRotatef(90,0,0,1);
	glColor3f(0,1,0);
	renderAxeX(); // axe Y
	glRotatef(90,0,-1,0);
	glColor3f(0,0,1);
	renderAxeX(); // axe Z
	glPopMatrix();
	++nbframe;
}
