#ifdef _WIN32
#include <windows.h>
#endif
#include <GL/gl.h>
#include <GL/glu.h>

int nbframe=0;

void initgl() {
}

void render() {
  glClear(GL_COLOR_BUFFER_BIT|GL_DEPTH_BUFFER_BIT);
	glEnable(GL_DEPTH_TEST);

	glPushMatrix();
  glTranslatef(0,0,-3);

	glPushMatrix();
	glRotatef(nbframe,1,0,0);
	glRotatef(nbframe/2,0,0,1);
	{
		GLfloat mat_specular[] = { 1.0, 1.0, 1.0, 1.0 };
		GLfloat mat_shininess[] = { 50.0 };
		GLfloat light_position[] = { 1.0, 1.0, 1.0, 0.0 };
		glMaterialfv(GL_FRONT, GL_SPECULAR, mat_specular);
		glMaterialfv(GL_FRONT, GL_SHININESS, mat_shininess);
		glLightfv(GL_LIGHT0, GL_POSITION, light_position);
		glEnable(GL_LIGHTING);
		glEnable(GL_LIGHT0);
	}
	glPopMatrix();
	{
		GLUquadricObj* sph = gluNewQuadric ();
		gluQuadricOrientation(sph, GLU_OUTSIDE);
		gluSphere(sph, 1, 32,32);
		gluDeleteQuadric(sph);
	}
	glPopMatrix();
	++nbframe;
}
